Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
472b8a9a
Unverified
Commit
472b8a9a
authored
Feb 22, 2019
by
Kubernetes Prow Robot
Committed by
GitHub
Feb 22, 2019
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #73914 from danielqsj/sc
fix shellcheck in several files
parents
8d6f20ea
3c9ba7f2
Hide whitespace changes
Inline
Side-by-side
Showing
4 changed files
with
13 additions
and
16 deletions
+13
-16
.shellcheck_failures
hack/.shellcheck_failures
+0
-3
record_testcase.sh
pkg/kubectl/cmd/edit/testdata/record_testcase.sh
+2
-2
verify-util-pkg.sh
pkg/util/verify-util-pkg.sh
+3
-3
gencerts.sh
plugin/pkg/admission/imagepolicy/gencerts.sh
+8
-8
No files found.
hack/.shellcheck_failures
View file @
472b8a9a
...
@@ -119,9 +119,6 @@
...
@@ -119,9 +119,6 @@
./hack/verify-test-images.sh
./hack/verify-test-images.sh
./hack/verify-test-owners.sh
./hack/verify-test-owners.sh
./hack/verify-typecheck.sh
./hack/verify-typecheck.sh
./pkg/kubectl/cmd/edit/testdata/record_testcase.sh
./pkg/util/verify-util-pkg.sh
./plugin/pkg/admission/imagepolicy/gencerts.sh
./test/cmd/apply.sh
./test/cmd/apply.sh
./test/cmd/apps.sh
./test/cmd/apps.sh
./test/cmd/authorization.sh
./test/cmd/authorization.sh
...
...
pkg/kubectl/cmd/edit/testdata/record_testcase.sh
View file @
472b8a9a
...
@@ -25,7 +25,7 @@ fi
...
@@ -25,7 +25,7 @@ fi
# Clean up the test server
# Clean up the test server
function
cleanup
{
function
cleanup
{
if
[[
!
-z
"
${
pid
-
}
"
]]
;
then
if
[[
-n
"
${
pid
-
}
"
]]
;
then
echo
"Stopping recording server (
${
pid
}
)"
echo
"Stopping recording server (
${
pid
}
)"
# kill the process `go run` launched
# kill the process `go run` launched
pkill
-P
"
${
pid
}
"
pkill
-P
"
${
pid
}
"
...
@@ -36,7 +36,7 @@ function cleanup {
...
@@ -36,7 +36,7 @@ function cleanup {
testcase
=
"
${
1
}
"
testcase
=
"
${
1
}
"
test_root
=
"
$(
dirname
"
${
BASH_SOURCE
}
"
)
"
test_root
=
"
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
"
testcase_dir
=
"
${
test_root
}
/testcase-
${
testcase
}
"
testcase_dir
=
"
${
test_root
}
/testcase-
${
testcase
}
"
mkdir
-p
"
${
testcase_dir
}
"
mkdir
-p
"
${
testcase_dir
}
"
...
...
pkg/util/verify-util-pkg.sh
View file @
472b8a9a
...
@@ -21,7 +21,7 @@ set -o errexit
...
@@ -21,7 +21,7 @@ set -o errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
BASH_DIR
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
BASH_DIR
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
find_go_files
()
{
find_go_files
()
{
find
.
-maxdepth
1
-not
\(
\
find
.
-maxdepth
1
-not
\(
\
...
@@ -34,8 +34,8 @@ find_go_files() {
...
@@ -34,8 +34,8 @@ find_go_files() {
ret
=
0
ret
=
0
pushd
"
${
BASH_DIR
}
"
>
/dev/null
pushd
"
${
BASH_DIR
}
"
>
/dev/null
for
path
in
`
find_go_files
`
;
do
for
path
in
$(
find_go_files
)
;
do
file
=
$(
basename
$path
)
file
=
$(
basename
"
$path
"
)
echo
"Found pkg/util/
${
file
}
, but should be moved into util sub-pkgs."
1>&2
echo
"Found pkg/util/
${
file
}
, but should be moved into util sub-pkgs."
1>&2
ret
=
1
ret
=
1
done
done
...
...
plugin/pkg/admission/imagepolicy/gencerts.sh
View file @
472b8a9a
...
@@ -83,12 +83,12 @@ See the License for the specific language governing permissions and
...
@@ -83,12 +83,12 @@ See the License for the specific language governing permissions and
limitations under the License.
limitations under the License.
*/
*/
// This file was generated using openssl by the gencerts.sh script
// and holds raw certificates for the imagepolicy webhook tests.
package imagepolicy
EOF
EOF
echo
"// This file was generated using openssl by the gencerts.sh script"
>>
$outfile
echo
"// and holds raw certificates for the imagepolicy webhook tests."
>>
$outfile
echo
""
>>
$outfile
echo
"package imagepolicy"
>>
$outfile
for
file
in
caKey caCert badCAKey badCACert serverKey serverCert clientKey clientCert
;
do
for
file
in
caKey caCert badCAKey badCACert serverKey serverCert clientKey clientCert
;
do
data
=
$(
cat
${
file
}
.pem
)
data
=
$(
cat
${
file
}
.pem
)
echo
""
>>
$outfile
echo
""
>>
$outfile
...
@@ -96,7 +96,7 @@ for file in caKey caCert badCAKey badCACert serverKey serverCert clientKey clien
...
@@ -96,7 +96,7 @@ for file in caKey caCert badCAKey badCACert serverKey serverCert clientKey clien
done
done
# Clean up after we're done.
# Clean up after we're done.
rm
*
.pem
rm
./
*
.pem
rm
*
.csr
rm
./
*
.csr
rm
*
.srl
rm
./
*
.srl
rm
*
.conf
rm
./
*
.conf
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment